
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>设计模式学习笔记(四)—Bridge桥接模式 / iVAN</title>

    <meta name="description" content="设计模式学习笔记(四)—Bridge桥接模式 &lt;设计模式&gt;一书对Bridge是这样描述的: 将抽象与其实现解耦,使它们都可以独立地变化. 大致意思是说:将一组实现与另一组使用他们的对象分离.这里的实现指的是抽象类及其派生类用来实现自己的对象(而不是抽象类的派生类,这些派生类被称为具体类).下面 是&lt;Design Patterns Explained&gt;书中的例子.其结构图如下: 下面是它的实现: abstract class Shape{ protected Drawing myDrawing; abstract pu ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">设计模式学习笔记(四)—Bridge桥接模式</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>《设计模式》一书对Bridge是这样描述的：</p>
<p>将抽象与其实现解耦，使它们都可以独立地变化。</p>
<p>大致意思是说：将一组实现与另一组使用他们的对象分离。这里的实现指的是抽象类及其派生类用来实现自己的对象（而不是抽象类的派生类，这些派生类被称为具体类）。下面</p>
<p>是《Design Patterns Explained》书中的例子。其结构图如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMDYyMjUwMTM1MS0wLmdpZg==.jpg"></p>
<p>下面是它的实现：</p>
<p><code>abstract　class Shape{<br />
　　protected Drawing myDrawing;<br />
　　abstract　public　void draw();<br />
　　Shape(Drawing drawing){<br />
　　　　myDrawing=drawing;<br />
　　}<br />
　　protected　void drawLine(){<br />
　　　　myDrawing.drawLine();<br />
　　}<br />
　　protected　void drawCircle(){<br />
　　　　myDrawing.drawCircle();<br />
　　}<br />
}<br />
class Rectangle extends Shape{<br />
　　public Rectangle(Drawing darw){<br />
　　　　super(darw);<br />
　　}<br />
　　public　void draw(){<br />
　　　　drawLine();<br />
　　　　drawLine();<br />
　　　　drawLine();<br />
　　　　drawLine();<br />
　　}<br />
}<br />
class Circle extends Shape{<br />
　　public Circle(Drawing draw){<br />
　　　　super(draw);<br />
　　}<br />
　　publicvoid draw(){<br />
　　　　myDrawing.drawCircle();<br />
　　}<br />
}<br />
abstract　class Drawing{<br />
　　abstract　public　void drawLine();<br />
　　abstract　public　void drawCircle();<br />
}<br />
class V1Drawing extends Drawing{<br />
　　public　void drawLine(){<br />
　　　　DP1.draw_a_line();<br />
　　}<br />
　　public　void drawCircle(){<br />
　　　　DP1.draw_a_circle();<br />
　　}<br />
}<br />
class V2Drawing extends Drawing{<br />
　　public　void drawLine(){<br />
　　　　DP2.drawLine();<br />
　　}<br />
　　public　void drawCircle(){<br />
　　　　DP2.drawCircle();<br />
　　}<br />
}<br />
class DP1{<br />
　　public　static　void draw_a_line(){<br />
　　　　System.out.println("使用DP1的draw_a_line()画线");<br />
　　}<br />
　　public　static　void draw_a_circle(){<br />
　　　　System.out.println("使用DP1的draw_a_circle()画圆");<br />
　　}<br />
}<br />
class DP2{<br />
　　public　static　void drawLine(){<br />
　　　　System.out.println("使用DP2的drawLine()画线");<br />
　　}<br />
　　public　static　void drawCircle(){<br />
　　　　System.out.println("使用DP2的drawCircle()画圆");<br />
　　}<br />
}<br />
public　class BridgeClient {<br />
　　public　static　void main(String[] args) {<br />
　　　　Drawing draw1=new V1Drawing();<br />
　　　　Drawing draw2=new V2Drawing();<br />
　　　　Shape shape1=new Rectangle(draw1);<br />
　　　　shape1.draw();<br />
　　　　Shape shape2=new Circle(draw2);<br />
　　　　shape2.draw();<br />
　　}<br />
}</code></p>
<p>输出结果如下：</p>
<p>使用DP1的draw_a_line()画线</p>
<p>使用DP1的draw_a_line()画线</p>
<p>使用DP1的draw_a_line()画线</p>
<p>使用DP1的draw_a_line()画线</p>
<p>使用DP2的drawCircle()画圆</p>
<p>在这个例子中Shape对象实际上是一个Retangle或Circle对象，但Client并不知道到底是那个，因为它们看起来都一样。Drawing实际上是一个V1Drawing或V2Drawing,但Shape对象并知道到底是哪个，因为它们看起来都一样。DP1或DP2使用它的Drawing对象知道是哪一个。Shape是事物的抽象，Drawing是实现或者操作事物方法的抽象。他们两个都可以独立地变化。正如例子中所说那样，我们可以输出一个矩形可以使用V1Drawing也可以使用V2Drawing来完成，输出一个圆形也是一样都有两种方法。Bridge模式遵循了设计模式中两条基本策略：找出变化并封装之和优先使用对象聚集，而不是类继承。</p>
<p>小结：Bridge模式是一种抽象与其实现相分离的模式。它主要应用于：当事物是一组变化量，和对这些事物的操作方法(实现)也是一组变化量的情况，也就是说它们都是多变的。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 23:10:49</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/public/" title="public">public</a>, <a href="https://www.iamivan.net/tag/%e6%8a%bd%e8%b1%a1/" title="抽象">抽象</a>, <a href="https://www.iamivan.net/tag/void/" title="void">void</a>, <a href="https://www.iamivan.net/tag/draw/" title="draw">draw</a>, <a href="https://www.iamivan.net/tag/class/" title="class">class</a>, <a href="https://www.iamivan.net/tag/shape/" title="shape">shape</a>, <a href="https://www.iamivan.net/tag/drawline/" title="DrawLine">DrawLine</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>设计模式学习笔记(四)—Bridge桥接模式的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk2av1M.html" rel="bookmark">设计模式学习笔记&lpar;十&rpar;&mdash;Factory Method模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;设计模式&gt;一书对Factory Method模式是这样描述的: 定义一个用于创建对象的接口,让子类决定实例化哪一个类.FactoryMethod使一个类的实例化延迟到其子类. 我的理解:FatoryMethod模式是一种创建型模式,定义一个用于创建对象的接口的意思是说,我们要定义一个用于创建对象的接口(或者说抽象类,实际上就是个抽象工厂abstractFactory),它的内部有一个创建对象的方法,这个方法的返回值是一个接口(或者抽象类)的类型,这个方法就是FactoryMethod:让子类			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGEl6kM.html" rel="bookmark">C&plus;&plus;设计模式编程中使用Bridge桥接模式的完全攻略&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				桥接模式将抽象(Abstraction)与实现(Implementation)分离,使得二者可以独立地变化. 桥接模式典型的结构图为: 在桥接模式的结构图中可以看到,系统被分为两个相对独立的部分,左边是抽象部分,右边是实现部分,这两个部分可以互相独立地进行修改:例如上面问题中的客户需求变化,当用户需求需要从 Abstraction 派生一个具体子类时候,并不需要像上面通过继承方式实现时候需要添加子类 A1 和 A2 了.另外当上面问题中由于算法添加也只用改变右边实现(添加一个具体化子类),而右边			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd7W82M.html" rel="bookmark">设计模式学习笔记&lpar;三&rpar;&mdash;-Strategy策略模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				GOF&lt;设计模式&gt;一书对Strategy模式是这样描述的: 定义一系列的算法,把他们一个个封装起来,并且使它们可相互替换.Strategy模式使算法可独立于使用它的客户而变化. Strategy模式以下列几条原则为基础: 1)每个对象都是一个具有职责的个体. 2)这些职责不同的具体实现是通过多态的使用来完成的. 3)概念上相同的算法具有多个不同的实现,需要进行管理. 下面我将通过一个实例来说明它的具体使用,这个例子是关于数据库连接的.代码如下: interface DatabaseStrate			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5A2q7p.html" rel="bookmark">设计模式学习笔记&lpar;一&rpar; Facade外观模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				GOF&lt;设计模式&gt;一书对Facade模式是这样描述的: 为子系统中的一组接口提供一个统一接口.Facade模式定义了一个更高层的接口,使子系统更加容易使用. 大致意思是说:使用一种比原有方式更简单的办法与系统交互.例如,我们把一个很文件的文件,放在了第二抽屉里,而第二个抽屉的钥匙放在了第一个抽屉里,我们要想取出这个文件,第一步肯定要拿到第一个抽屉的钥匙,然后打开它再拿出第二个抽屉的钥匙,最后打开第二个抽屉取出文件. 我就上面说的那个情形写一下实现代码,首先我们要实现二个子系统,呵呵,把抽屉比喻			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4wRXqp.html" rel="bookmark">设计模式学习笔记&lpar;二十一&rpar;&mdash;Composite模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天开始学习Composite模式,首先让我们看一下它的定义: 将对象组合成树形结构以表示&quot;整体-部分&quot;的层次结构.Composite模式使单个对象和组合对象的使用具有一致性. 下面给出这个模式的结构图: 如果把Composite模式看成是树形结构的话,那么它主要角色有: 1)树干角色(Component):该角色是一个抽象类,它定义了一些操作增删树叶(Leaf)的操作. 2)树枝角色(Composite):树枝上有很多树干,树枝也是树干的一种. 3)树叶角色(Leaf):树干上的树叶			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1RjA3p.html" rel="bookmark">设计模式学习笔记&lpar;十六&rpar;&mdash;Proxy模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.Proxy模式定义: 为其他对象提供一种代理以控制这个对象的访问. 二.模式解说 Proxy代理模式是一种结构型设计模式,主要解决的问题是:在直接访问对象时带来的问题,比如说:要访问的对象在远程的机器上.在面向对象系统中,有些对象由于某些原因(比如对象创建开销很大,或者某些操作需要安全控制,或者需要进程外的访问),直接访问会给使用者或者系统结构带来很多麻烦,我们可以在访问此对象时加上一个对此对象的访问层,这个访问层也叫代理.Proxy模式是最常见的模式,在我们生活中处处可见,例如我们买火车票			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/balKvXz.html" rel="bookmark">设计模式学习笔记&lpar;十七&rpar;&mdash;Memento备忘录模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.模式定义: 在不破坏封装的前提下,捕获一个对象的内部状态,并在该对象之外保存这个状态.这样就可以将该对象恢复到原先保存前的状态. 二.模式解说 在程序运行过程中,某些对象的状态处在转换过程中,可能由于某种原因需要保存此时对象的状态,以便程序运行到某个特定阶段,需要恢复到对象之前处于某个点时的状态.如果使用一些公有接口让其它对象来得到对象的状态,便会暴露对象的实现细节. 三.结构图 1) 备忘录(Memento)角色:备忘录角色存储&quot;备忘发起角色&quot;的内部状态.&quot;备忘发起角色			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVn9Vnz.html" rel="bookmark">设计模式学习笔记&lpar;十五&rpar;&mdash;State模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.State模式定义: 允许一个对象在其状态改变时,改变它的行为.看起来对象似乎修改了它的类. 二.模式解说 State模式主要解决的是在开发中时常遇到的根据不同的状态需要进行不同的处理操作的问题,而这样的问题,大部分人是采用switch-case语句进行处理的,这样会造成一个问题:分支过多,而且如果加入一个新的状态就需要对原来的代码进行编译.State模式采用了对这些不同的状态进行封装的方式处理这类问题,当状态改变的时候进行处理然后再切换到另一种状态,也就是说把状态的切换责任交给了具体的状态			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7kXgXz.html" rel="bookmark">设计模式学习笔记&lpar;十三&rpar;&mdash;Iterator迭代器模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Iterator模式定义: 提供一个方法顺序访问一个聚合对象的各个元素,而又不暴露该对象的内部表示. 这个模式在java的类库中已经实现了,在java中所有的集合类都实现了Conllection接口,而Conllection接口又继承了Iterable接口,该接口有一个iterator方法,也就是所以的集合类都可以通过这个iterator方法来转换成Iterator类,用Iterator对象中的hasnext方法来判断是否还有下个元素,next方法来顺序获取集合类中的对象.今天面试考到设计模式,			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5Y6mp.html" rel="bookmark" class="title">用菜鸟的眼光浅谈php上传文件</a>
					<div>
						本人由于想写个discuz插件,这个插件功能上涉及到上传文件这一功能,故以菜鸟的眼光来学习了下php上传文件.   首先,w3cshool查了下案例,觉得他说的非常详细,连我这个菜鸟都略懂了一二.   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMl1xOp.html" rel="bookmark" class="title">巧用Photoshop图层表现双重渐变透明背景</a>
					<div>
						渐变|透明 下面这个实例教程主要介绍利用大家最为熟悉的Photoshop&quot;图层&quot;的一些深度特性:这辆悍马- H2的图片很COOL,可是背景流于平淡.缺乏纵深,没有衬托出它的美感.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPvxmb.html" rel="bookmark" class="title">&period;net页面间的参数传递简单实例</a>
					<div>
						页面  使用QueryString使用QuerySting在页面间传递值已经是一种很老的机制了,这种方法的主要优点是实现起来非常简单,然而它的缺点是传递的值是会显示在浏览器的地址栏上的(不安全),同时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVoVYb.html" rel="bookmark" class="title">SQL Server 2000用户实用程序</a>
					<div>
						不需要查询系统表,你也可以通过查询分析器中的对象浏览器建立一个有序的列的列表.SQL Server 2000 client utilities提供了这样的方法(SQL Server 7.0版本同样可用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLwm8M.html" rel="bookmark" class="title">网站快照一直不更新怎么办？</a>
					<div>
						大家好,我是哈尔滨虚实网站设计,最近网站快照始终没有更新,我开始还很有激情去做外链,但是现在慢慢的没有了办法,很多客户的站也是,哎,挺愁人的.但是还是要做啊,没办法,只能分析其他网站的优缺点,还有大家 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NNlJz.html" rel="bookmark" class="title">ASP&period;NET AJAX 4&period;0 Preview 3&lpar;Part 2</a>
					<div>
						在上一篇文章里,我们说到了如何使用ADO.NET Data Service Client Library能够轻松访问到存在服 务器端的数据,然而将数据展现出来仍需要人手拼接HTML这点就实在是让人难以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAadDKM.html" rel="bookmark" class="title">win8系统无法连接WiFi怎么解决</a>
					<div>
						win8系统无法连接WiFi怎么解决   1.&quot;开始&quot;-&gt;&quot;运行&quot;,输入&quot;services.msc&quot;后点击&quot;确定&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze453Ap.html" rel="bookmark" class="title">Ajax 说的比较清楚的一篇文章</a>
					<div>
						ajax一般做两个if判断,判断readyState是否等于4,即响应完毕,status是否等于200.,即一切正常   1.Ajax (Asynchronous JavaScript and XML ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badBWXz.html" rel="bookmark" class="title">搜狗浏览怎么设置iPhone6到货短信提醒？</a>
					<div>
						  抢iPhone6神器!能否用浏览器设置iPhone6到货短信提醒呢?借用搜狗浏览器就能实现哦,下面我们就一起来看看搜狗浏览器设置iPhone6到货短信提醒教程. 如果你已经下载了搜狗高速浏览器5. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJr0np.html" rel="bookmark" class="title">怎样在Word2013中查看字数统计</a>
					<div>
						  第1步,打开Word2013文档窗口,切换到&quot;审阅&quot;功能区.在&quot;校对&quot;分组中单击&quot;字数统计&quot;按钮,如图1所示. 图1 单击&quot;字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLayxLz.html" rel="bookmark" class="title">U盘一些主控芯片的优缺点</a>
					<div>
						  什么是U盘的主控芯片?用过U盘来量产的都知道,量产的第一步就是要检测U盘的主控芯片是什么,然后再根据对应的工具进行量产.网总结了一下,用户用得最多的主控芯片是群联Phison和擎泰Skymedi了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjrDKb.html" rel="bookmark" class="title">电脑反应慢、迟钝如何解决？</a>
					<div>
						  先看一下电脑的&quot;系统资源&quot;是多少,右键单击&quot;我的电脑&quot;,选择&quot;属性&quot;,再选择&quot;性能&quot;,看一下&quot;系统资源&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYR8kxp.html" rel="bookmark" class="title">处理jpeg压缩的tiff文件&comma;急</a>
					<div>
						问题描述 我在处理多页的tiff文件,想分离并保存每一页,但是有页是JPEG压缩的,保存就报错,GDI+一般性错误,部分代码如下:Forz=0To(totFrame-1)objImage.Select ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYJyrM.html" rel="bookmark" class="title">HDFS源码分析之UnderReplicatedBlocks（一）</a>
					<div>
						        UnderReplicatedBlocks是HDFS中关于块复制的一个重要数据结构.在HDFS的高性能.高容错性体系中,总有一些原因促使HDFS系统内进行块复制工作,比如基于高性能的负 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVKABb.html" rel="bookmark" class="title">ubuntu12&period;04 &sol;centos 环境下源码编译安装mysql 5&period;7&period;14过程详解</a>
					<div>
						1,安装前期工作.创建mysql用户以及数据存放目录 groupadd mysql useradd -r -g mysql -s /bin/false mysql mkdir -p  /data/my ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN718mp.html" rel="bookmark" class="title">winpcap syn-用winpcap发送syn数据包后收不到ack回复</a>
					<div>
						问题描述 用winpcap发送syn数据包后收不到ack回复 用wincap发送syn,这样的帖子网上搜一下一大片,但在我做的过程中发现几个问题:1.tcp报头校验时应该是 伪报头+tcp包头+数据的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRDjBz.html" rel="bookmark" class="title">页面间传值-ios 一个页面怎么获取到另一个页面UIImageView的image</a>
					<div>
						问题描述 ios 一个页面怎么获取到另一个页面UIImageView的image ios 一个页面怎么获取到另一个页面UIImageView的image,通过delegate可以实现页面间传递text ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXwrmz.html" rel="bookmark" class="title">StringBuilder、StringBuffer和String三者的联系和区别（转）</a>
					<div>
						  StringBuilder.StringBuffer和String三者的联系和区别  1. String 类    String的值是不可变的,这就导致每次对String的操作都会生成新的Stri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZZNXp.html" rel="bookmark" class="title">ppk-sftp用证书文件登录报algorithm negotiation fail</a>
					<div>
						问题描述 sftp用证书文件登录报algorithm negotiation fail 请教各位大神,我要使用sftp传输文件,可以再登录这块出现了问题几天都没找到解决方法 开发语言C# 用的是网上开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1R3az.html" rel="bookmark" class="title">网页开发 在页面上增加了在线编辑功能在ie上出现的问题 火狐谷歌没问题</a>
					<div>
						问题描述 网页开发 在页面上增加了在线编辑功能在ie上出现的问题 火狐谷歌没问题 解决方案 明显兼容性问题么,判断一下浏览器,当为ie时执行那些css样式					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjQ2oM.html" rel="bookmark" class="title">很容易学习的JQuery库 &colon; &lpar;四&rpar; 效果</a>
					<div>
						简介    本篇博文介绍JQuery的效果,主要包括隐藏.显示.切换.滑动.淡入淡出以及动画,希望搜集学习来的东西总结起来,可以方便今后的学习和工作,也希望对大家有所帮助. 隐藏与显示 jQuery  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBDrQM.html" rel="bookmark" class="title">同一页面可多次调用jquery折叠菜单</a>
					<div>
						//原生js版本 ***** start window.onload=function(){ //共用函数区 var ibase={ //document.getelementbyid id: fun ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKl5Oz.html" rel="bookmark" class="title">OCZ收购Sanrad 闪存发力虚拟化数据中心</a>
					<div>
						SSD制造商OCZ Technology周一表示,已经收购了位于以色列的闪存存储缓存和虚拟化软硬件开发商Sanrad. OCZ表示,Sanrad 的硬件和软件产品,已经得到VMware. 微软和Cit ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YdLVz.html" rel="bookmark" class="title">trusted-手机上开发miracast ，连接接收端设备时，无法连接 ，错误日志如下： Log：</a>
					<div>
						问题描述 手机上开发miracast ,连接接收端设备时,无法连接 ,错误日志如下: Log: 在手机上开发一个apk,扫描到WifiDisplay的接收设备后,在连接此接收设备时有问题. 系统需要权 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBq7Dz.html" rel="bookmark" class="title">有没有遇到这种UI问题的？</a>
					<div>
						问题描述 我把代码都找了一边,位置都改动了也没测出来到底哪出问题了,这个红点一直在图片内,改不过来了 解决方案 终于摸清楚了 ,原来是层次的问题 ,最底层的是 View ,然后view上有imageV ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqXk2p.html" rel="bookmark" class="title">操作系统的重要性日益衰减</a>
					<div>
						摘要: 腾讯科技讯 (中涛)北京时间 7月29日 消息,美国科技资讯网站Readwrite编辑布赖恩普罗费特(Brian Proffitt)近日发表评论文章称,就目前而言,操作系统的重要性已日益衰减, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjoLDmM.html" rel="bookmark" class="title">国产 Linux 操作系统面临的困境</a>
					<div>
						中科院软件所的一份报告显示,本土操作系统(基于Linux)占操作系统市场份额不到1%.较为知名的国产Linux发行版中科红旗在今年上半年破产,另 外两家Linux开发商武汉深之度(Deepin)及湖南 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWl5rM.html" rel="bookmark" class="title">三星显示器豪华阵容领衔开学季</a>
					<div>
						对广大学生朋友来说,每次开学都如同一次工程浩大的迁徙.家乡的特产.兄弟姐妹们的礼物.自己的随身物品,总会带来举手无措的感觉.而对于步入大学校园的&quot;学弟&quot;&quot;学妹&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrvaA4M.html" rel="bookmark" class="title">幽怨的台积电，大尾巴狼三星？</a>
					<div>
						导读:今天的台积电与三星,一个幽怨,另一个不但幽怨,还有点大尾巴狼呢! 今天说说中国大陆科技界以外的两件事.一个涉及全球半导体代工龙头台积电,一个涉及全球第一大IT巨头三星. 它们一个幽怨,另一个不但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9N6x3p.html" rel="bookmark" class="title">现在正在做有关报告生成这一块，如何在窗体上显示一个报告生成的进度呢，求思路！</a>
					<div>
						问题描述 此块做好后是要上传到服务器上的,前台是看不见的,当一个报告正在生成的时候,后台的窗体会显示一个报告生成的记录,也就是进度 解决方案 解决方案二:你可以在数据库记录查询显示					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
